//*********************************************************************
//* This jobstream contains the JCL necessary to Assemble and
//* Linkedit the two CA8J assembler programs BASE64 and HTTPAUTH
//*
//* Replace PHAVERC with the HLQ of the libaries you allocate for CA8J.
//* Replace CEE.SCEEMAC with the library containing LE macros.
//*
//*********************************************************************
//*
//* Assembly step for BASE64
//*
//BASE64   EXEC PGM=ASMA90
//SYSLIB   DD  DSN=PHAVERC.CA8J.SOURCE,DISP=SHR
//         DD  DSN=CEE.SCEEMAC,DISP=SHR
//         DD  DSN=SYS1.MACLIB,DISP=SHR
//SYSUT1   DD  DSN=&&SYSUT1,SPACE=(4096,(120,120),,,ROUND),UNIT=VIO,
//             DCB=BUFNO=1,DISP=(NEW,PASS)
//SYSPRINT DD  SYSOUT=*
//SYSLIN   DD  DSN=&&BASE64,
//             SPACE=(3040,(40,40),,,ROUND),UNIT=VIO,
//             DISP=(NEW,PASS),
//             DCB=(BLKSIZE=3040,LRECL=80,RECFM=FBS,BUFNO=1)
//SYSIN    DD  DSN=PHAVERC.CA8J.SOURCE(BASE64),DISP=SHR
//*
//* Assembly step for HTTPAUTH
//*
//HTTPAUTH EXEC PGM=ASMA90
//SYSLIB   DD  DSN=PHAVERC.CA8J.SOURCE,DISP=SHR
//         DD  DSN=CEE.SCEEMAC,DISP=SHR
//         DD  DSN=SYS1.MACLIB,DISP=SHR
//SYSUT1   DD  DSN=&&SYSUT1,DCB=BUFNO=1,DISP=(OLD,PASS)
//SYSPRINT DD  SYSOUT=*
//SYSLIN   DD  DSN=&&HTTPAUTH,
//             SPACE=(3040,(40,40),,,ROUND),UNIT=VIO,
//             DISP=(NEW,PASS),
//             DCB=(BLKSIZE=3040,LRECL=80,RECFM=FBS,BUFNO=1)
//SYSIN    DD  DSN=PHAVERC.CA8J.SOURCE(HTTPAUTH),DISP=SHR
//*
//* Linkedit/Binder step for both BASE64 and HTTPAUTH
//*
//LINK     EXEC PGM=HEWL,PARM='MAP,LET,LIST,NCAL,RENT',
//             COND=((4,LT,BASE64),(4,LT,HTTPAUTH))
//SYSLMOD  DD  DSN=PHAVERC.CA8J.LOAD,DISP=SHR
//SYSUT1   DD  DSN=&&SYSUT1,SPACE=(1024,(120,120),,,ROUND),UNIT=VIO,
//             DCB=BUFNO=1
//SYSPRINT DD  SYSOUT=*
//BASE64   DD  DSN=&&BASE64,DISP=(OLD,DELETE)
//HTTPAUTH DD  DSN=&&HTTPAUTH,DISP=(OLD,DELETE)
//SYSLIN   DD  *
 INCLUDE BASE64
 NAME    BASE64(R)
 INCLUDE HTTPAUTH
 NAME    HTTPAUTH(R)
/*
//