//*
//*  Sample JCL for compiling CA8J sample programs.
//*
//*  In the following, substitute your own names for these libraries:
//*
//* CTS230.CICS630.SDFHCOB     The CICS/TS 2.3 Cobol copy library
//* CTS230.CICS630.SDFHLOAD    The CICS/TS 2.3 load library
//* CTS230.SOAP100.SCAVCOB     The "SOAP for CICS" Cobol copy library
//* CTS230.SOAP100.SCAVSAMP    The "SOAP for CICS" sample library
//* CTS310.CICS640.SDFHCOB     The CICS/TS 3.1 Cobol copy library
//* CTS310.CICS640.SDFHLOAD    The CICS/TS 3.1 load library
//* PHAVERC.CA8J.LOAD          The CA8J SupportPac load library
//* PHAVERC.CA8J.SOURCE        The CA8J SupportPac source library
//* PP.COBOL390.V310.SIGYCOMP  The load library for the Cobol compiler
//* PP.ADLE370.ZOS170.SCEELKED The load library for LE runtime modules
//*
//JOBLIB   DD  DSN=PP.COBOL390.V310.SIGYCOMP,DISP=SHR
//*
//*  BASIC230 - Basic Authentication sample for CICS/TS 2.3
//*
//TRNBA230 EXEC PGM=DFHECP1$,PARM='COBOL3',REGION=3M
//STEPLIB  DD  DSN=CTS230.CICS630.SDFHLOAD,DISP=SHR
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DSN=PHAVERC.CA8J.SOURCE(BASIC230),DISP=SHR
//SYSPUNCH DD  UNIT=SYSDA,DCB=BLKSIZE=400,
//             SPACE=(CYL,(1,1)),DISP=(,PASS)
//BASIC230 EXEC PGM=IGYCRCTL,REGION=3M,
//             PARM=(MAP,OBJ,RENT,NODYNAM,LIB,LIST,APOST,
//             'DATA(31),OPT(FULL),TRUNC(OPT),LINECOUNT(0)')
//SYSLIB   DD  DSN=PHAVERC.CA8J.SOURCE,DISP=SHR
//         DD  DSN=CTS230.CICS630.SDFHCOB,DISP=SHR
//SYSPRINT DD  SYSOUT=A
//SYSUT1   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT2   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT3   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT4   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT5   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT6   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT7   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSIN    DD  DSN=*.TRNBA230.SYSPUNCH,DISP=(OLD,DELETE)
//SYSLIN   DD  DSN=&&BASIC230,UNIT=SYSDA,
//             SPACE=(CYL,(1,1)),DISP=(,PASS)
//*
//*  DFH$WSSB - Basic Authenticatios sample for "SOAP for CICS"
//*
//TRN$WSSB EXEC PGM=DFHECP1$,PARM='COBOL3,NOSEQ',REGION=3M
//STEPLIB  DD  DSN=CTS230.CICS630.SDFHLOAD,DISP=SHR
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DSN=PHAVERC.CA8J.SOURCE(DFH$WSSB),DISP=SHR
//SYSPUNCH DD  UNIT=SYSDA,DCB=BLKSIZE=400,
//             SPACE=(CYL,(1,1)),DISP=(,PASS)
//DFH$WSSB EXEC PGM=IGYCRCTL,REGION=3M,
//             PARM=(MAP,OBJ,RENT,NODYNAM,LIB,LIST,APOST,NOSEQ,
//             'DATA(31),OPT(FULL),TRUNC(OPT),LINECOUNT(0)')
//SYSLIB   DD  DSN=PHAVERC.CA8J.SOURCE,DISP=SHR
//         DD  DSN=CTS230.SOAP100.SCAVSAMP,DISP=SHR
//         DD  DSN=CTS230.SOAP100.SCAVCOB,DISP=SHR
//         DD  DSN=CTS230.CICS630.SDFHCOB,DISP=SHR
//SYSPRINT DD  SYSOUT=A
//SYSUT1   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT2   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT3   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT4   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT5   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT6   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT7   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSIN    DD  DSN=*.TRN$WSSB.SYSPUNCH,DISP=(OLD,DELETE)
//SYSLIN   DD  DSN=&&DFH$WSSB,UNIT=SYSDA,
//             SPACE=(CYL,(1,1)),DISP=(,PASS)
//*
//*  BASIC310 - Basic Authentication sample for CICS/TS 3.1
//*
//TRNBA310 EXEC PGM=DFHECP1$,PARM='COBOL3',REGION=3M
//STEPLIB  DD  DSN=CTS310.CICS640.SDFHLOAD,DISP=SHR
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DSN=PHAVERC.CA8J.SOURCE(BASIC310),DISP=SHR
//SYSPUNCH DD  UNIT=SYSDA,DCB=BLKSIZE=400,
//             SPACE=(CYL,(1,1)),DISP=(,PASS)
//BASIC310 EXEC PGM=IGYCRCTL,REGION=3M,
//             PARM=(MAP,OBJ,RENT,NODYNAM,LIB,LIST,APOST,
//             'DATA(31),OPT(FULL),TRUNC(OPT),LINECOUNT(0)')
//SYSLIB   DD  DSN=PHAVERC.CA8J.SOURCE,DISP=SHR
//         DD  DSN=CTS310.CICS640.SDFHCOB,DISP=SHR
//SYSPRINT DD  SYSOUT=A
//SYSUT1   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT2   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT3   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT4   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT5   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT6   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT7   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSIN    DD  DSN=*.TRNBA310.SYSPUNCH,DISP=(OLD,DELETE)
//SYSLIN   DD  DSN=&&BASIC310,UNIT=SYSDA,
//             SPACE=(CYL,(1,1)),DISP=(,PASS)
//*
//*  WSBASIC - Basic Authentication for Web Services on CICS/TS 3.1
//*
//TRNWSBA  EXEC PGM=DFHECP1$,PARM='COBOL3',REGION=3M
//STEPLIB  DD  DSN=CTS310.CICS640.SDFHLOAD,DISP=SHR
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DSN=PHAVERC.CA8J.SOURCE(WSBASIC),DISP=SHR
//SYSPUNCH DD  UNIT=SYSDA,DCB=BLKSIZE=400,
//             SPACE=(CYL,(1,1)),DISP=(,PASS)
//WSBASIC EXEC PGM=IGYCRCTL,REGION=3M,
//             PARM=(MAP,OBJ,RENT,NODYNAM,LIB,LIST,APOST,
//             'DATA(31),OPT(FULL),TRUNC(OPT),LINECOUNT(0)')
//SYSLIB   DD  DSN=PHAVERC.CA8J.SOURCE,DISP=SHR
//         DD  DSN=CTS230.CICS630.SDFHCOB,DISP=SHR
//SYSPRINT DD  SYSOUT=A
//SYSUT1   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT2   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT3   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT4   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT5   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT6   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT7   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSIN    DD  DSN=*.TRNWSBA.SYSPUNCH,DISP=(OLD,DELETE)
//SYSLIN   DD  DSN=&&WSBASIC,UNIT=SYSDA,
//             SPACE=(CYL,(1,1)),DISP=(,PASS)
//*
//*  WSSAMPLE - Sample to drive the WSBASIC routine on CICS/TS 3.1
//*
//TRNWSSAM EXEC PGM=DFHECP1$,PARM='COBOL3',REGION=3M
//STEPLIB  DD  DSN=CTS310.CICS640.SDFHLOAD,DISP=SHR
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DSN=PHAVERC.CA8J.SOURCE(WSSAMPLE),DISP=SHR
//SYSPUNCH DD  UNIT=SYSDA,DCB=BLKSIZE=400,
//             SPACE=(CYL,(1,1)),DISP=(,PASS)
//WSSAMPLE EXEC PGM=IGYCRCTL,REGION=3M,
//             PARM=(MAP,OBJ,RENT,NODYNAM,LIB,LIST,APOST,
//             'DATA(31),OPT(FULL),TRUNC(OPT),LINECOUNT(0)')
//SYSLIB   DD  DSN=PHAVERC.CA8J.SOURCE,DISP=SHR
//         DD  DSN=CTS230.CICS630.SDFHCOB,DISP=SHR
//SYSPRINT DD  SYSOUT=A
//SYSUT1   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT2   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT3   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT4   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT5   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT6   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSUT7   DD  UNIT=SYSDA,SPACE=(TRK,(5,5))
//SYSIN    DD  DSN=*.TRNWSSAM.SYSPUNCH,DISP=(OLD,DELETE)
//SYSLIN   DD  DSN=&&WSSAMPLE,UNIT=SYSDA,
//             SPACE=(CYL,(1,1)),DISP=(,PASS)
//*
//* Linkedit/Binder step to link object decks
//*
//LINK     EXEC PGM=HEWL,PARM='MAP,LET,LIST,RENT',COND=(4,LT)
//SYSLIB   DD  DSN=PHAVERC.CA8J.LOAD,DISP=SHR
//         DD  DSN=PP.ADLE370.ZOS170.SCEELKED,DISP=SHR
//SYSLMOD  DD  DSN=PHAVERC.CA8J.LOAD,DISP=SHR
//SYSUT1   DD  DSN=&&SYSUT1,SPACE=(1024,(120,120),,,ROUND),
//             UNIT=VIO,DCB=BUFNO=1
//SYSPRINT DD  SYSOUT=*
//SDFHLOAD DD  DSN=CTS230.CICS630.SDFHLOAD,DISP=SHR
//BASIC230 DD  DSN=&&BASIC230,DISP=(OLD,DELETE)
//DFH$WSSB DD  DSN=&&DFH$WSSB,DISP=(OLD,DELETE)
//BASIC310 DD  DSN=&&BASIC310,DISP=(OLD,DELETE)
//WSBASIC  DD  DSN=&&WSBASIC,DISP=(OLD,DELETE)
//WSSAMPLE DD  DSN=&&WSSAMPLE,DISP=(OLD,DELETE)
//SYSLIN   DD  *
 ORDER   DFHELII,BASIC230
 INCLUDE BASIC230
 INCLUDE SDFHLOAD(DFHELII)
 INCLUDE SYSLIB(HTTPAUTH,BASE64)
 NAME    BASIC230(R)
 ORDER   DFHELII,DFH0WSSB
 INCLUDE DFH$WSSB
 INCLUDE SDFHLOAD(DFHELII)
 INCLUDE SYSLIB(HTTPAUTH,BASE64)
 NAME    DFH$WSSB(R)
 ORDER   DFHELII,BASIC310
 INCLUDE BASIC310
 INCLUDE SDFHLOAD(DFHELII)
 INCLUDE SYSLIB(HTTPAUTH,BASE64)
 NAME    BASIC310(R)
 ORDER   DFHELII,WSBASIC
 INCLUDE WSBASIC
 INCLUDE SDFHLOAD(DFHELII)
 INCLUDE SYSLIB(HTTPAUTH,BASE64)
 NAME    WSBASIC(R)
 ORDER   DFHELII,WSSAMPLE
 INCLUDE WSSAMPLE
 INCLUDE SDFHLOAD(DFHELII)
 NAME    WSSAMPLE(R)
/*
//
//